Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
/
{wallet_id}
/
balance
Get Wallet Balance
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets/{wallet_id}/balance
{
  "balance": {
    "symbol": "BTC",
    "amount": "109.42",
    "holds": "2",
    "bonded_amount": "109.42",
    "reserved_amount": "109.42",
    "unbonding_amount": "109.42",
    "unvested_amount": "109.42",
    "pending_rewards_amount": "109.42",
    "past_rewards_amount": "109.42",
    "bondable_amount": "109.42",
    "withdrawable_amount": "109.42",
    "fiat_amount": "109.42",
    "unbondable_amount": "109.42",
    "claimable_rewards_amount": "0.241437903"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
BalancesService balancesService = PrimeServiceFactory.createBalancesService(client);

GetWalletBalanceRequest request = new GetWalletBalanceRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .walletId("WALLET_ID_HERE")
    .build();

GetWalletBalanceResponse response = balancesService.getWalletBalance(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

Portfolio ID

wallet_id
string
required

Wallet ID

Response

200 - application/json

A successful response.

balance
object